package pong.events;

import appia.AppiaEventException;
import appia.Channel;
import appia.Session;
import appia.message.ExtendedMessage;

/**
 * This event is generated by the server in response to a failed registration. This
 * occurs when a player tries to join a game that has already four clients playing.
 * 
 * @author jmocito
 */
public class RegisterFailedEvent extends ServerEvent {

	public RegisterFailedEvent() {
		super();
	}

	public RegisterFailedEvent(Channel channel, int dir, Session source)
			throws AppiaEventException {
		super(channel, dir, source);
	}

	public RegisterFailedEvent(ExtendedMessage msg) {
		super(msg);
	}

	public RegisterFailedEvent(Channel channel, int dir, Session source,
			ExtendedMessage msg) throws AppiaEventException {
		super(channel, dir, source, msg);
	}
}
