package pong.events;

import appia.AppiaEventException;
import appia.Channel;
import appia.Session;
import appia.message.ExtendedMessage;

/**
 * This event is generated by the client to register the player in the game. This event is
 * produced immediatly after the client application is initiated. In response the server
 * may give the PlayerInfo event or a RegisterFailedEvent event, in case of a successful or
 * unsuccessful registration attempt, respectively.
 * 
 * @author jmocito
 */
public class RegisterPlayerEvent extends ClientEvent {

	public RegisterPlayerEvent() {
		super();
	}

	public RegisterPlayerEvent(Channel channel, int dir, Session source, ExtendedMessage msg) throws AppiaEventException {
		super(channel, dir, source, msg);
	}

	public RegisterPlayerEvent(Channel channel, int dir, Session source) throws AppiaEventException {
		super(channel, dir, source);
	}

	public RegisterPlayerEvent(ExtendedMessage msg) {
		super(msg);
	}
}
