package pong.events;

import appia.AppiaEventException;
import appia.Channel;
import appia.Session;
import appia.message.ExtendedMessage;

/**
 * This event is generated by the client when the player presses the "Start" button. It is
 * used to signal the server of the intention of the player to start playing the game.
 * 
 * @author ncarvalho & jmocito
 */
public class StartEvent extends ClientEvent {

	public StartEvent() {
		super();
	}

	public StartEvent(Channel channel, int dir, Session source, ExtendedMessage msg) throws AppiaEventException {
		super(channel, dir, source, msg);
	}

	public StartEvent(Channel channel, int dir, Session source) throws AppiaEventException {
		super(channel, dir, source);
	}

	public StartEvent(ExtendedMessage msg) {
		super(msg);
	}

	
}
