package pong.events;

import appia.AppiaEventException;
import appia.Channel;
import appia.Session;
import appia.message.ExtendedMessage;

/**
 * This event is generated by the server and is used to inform all players of
 * the state of the game. Whenever an action is produced by some player that
 * changes the state of the game, the server issues this event to all players
 * informing them of the updates produced.
 * 
 * @author jmocito
 */
public class StateEvent extends ServerEvent {

	public StateEvent() {
		super();
	}

	public StateEvent(Channel channel, int dir, Session source)
			throws AppiaEventException {
		super(channel, dir, source);
	}

	public StateEvent(ExtendedMessage msg) {
		super(msg);
	}

	public StateEvent(Channel channel, int dir, Session source,
			ExtendedMessage msg) throws AppiaEventException {
		super(channel, dir, source, msg);
	}
}
